org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class DedupTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.DedupTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.DedupTest.Traversals

- Enclosing class:
    DedupTest

      public static class DedupTest.Traversals
      extends DedupTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.DedupTest

      `DedupTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX()`
    `Traversal<Vertex,Path>` | `get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path()`
    `Traversal<Vertex,Collection<String>>` | `get_g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup()`
    `Traversal<Vertex,Vertex>` | `get_g_V_both_both_dedup_byXlabelX()`
    `Traversal<Vertex,String>` | `get_g_V_both_both_dedup_byXoutE_countX_name()`
    `Traversal<Vertex,Vertex>` | `get_g_V_both_both_dedup()`
    `Traversal<Vertex,String>` | `get_g_V_both_both_name_dedup()`
    `Traversal<Vertex,String>` | `get_g_V_both_dedup_name()`
    `Traversal<Vertex,String>` | `get_g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX()`
    `Traversal<Vertex,String>` | `get_g_V_both_hasXlabel_softwareX_dedup_byXlangX_name()`
    `Traversal<Vertex,String>` | `get_g_V_both_name_order_byXa_bX_dedup_value()`
    `Traversal<Vertex,Long>` | `get_g_V_both_properties_dedup_count()`
    `Traversal<Vertex,Long>` | `get_g_V_both_properties_properties_dedup_count()`
    `Traversal<Vertex,Long>` | `get_g_V_bothE_properties_dedup_count()`
    `Traversal<Vertex,Map<String,List<Double>>>` | `get_g_V_group_byXlabelX_byXbothE_weight_dedup_foldX()`
    `Traversal<Vertex,Long>` | `get_g_V_groupCount_selectXvaluesX_unfold_dedup()`
    `Traversal<Vertex,String>` | `get_g_V_order_byXname_descX_barrier_dedup_age_name()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold()`
    `Traversal<Vertex,String>` | `get_g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold()`
    `Traversal<Vertex,String>` | `get_g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup()`
    `Traversal<Vertex,Long>` | `get_g_V_repeatXdedupX_timesX2X_count()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.DedupTest

      `g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX, g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path, g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup, g_V_both_both_dedup_byXlabelX, g_V_both_both_dedup_byXoutE_countX_name, g_V_both_both_dedup, g_V_both_both_name_dedup, g_V_both_dedup_name, g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX, g_V_both_hasXlabel_softwareX_dedup_byXlangX_name, g_V_both_name_order_byXa_bX_dedup_value, g_V_both_properties_dedup_count, g_V_both_properties_properties_dedup_count, g_V_bothE_properties_dedup_count, g_V_group_byXlabelX_byXbothE_weight_dedup_foldX, g_V_groupCount_selectXvaluesX_unfold_dedup, g_V_order_byXname_descX_barrier_dedup_age_name, g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold, g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold, g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup, g_V_repeatXdedupX_timesX2X_count`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold

          public Traversal<Vertex,String> get_g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold()

      Specified by:
        `get_g_V_out_in_valuesXnameX_fold_dedupXlocalX_unfold` in class `DedupTest`

    - #### get_g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold

          public Traversal<Vertex,Map<String,String>> get_g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold()

      Specified by:
        `get_g_V_out_asXxX_in_asXyX_selectXx_yX_byXnameX_fold_dedupXlocal_x_yX_unfold` in class `DedupTest`

    - #### get_g_V_both_dedup_name

          public Traversal<Vertex,String> get_g_V_both_dedup_name()

      Specified by:
        `get_g_V_both_dedup_name` in class `DedupTest`

    - #### get_g_V_order_byXname_descX_barrier_dedup_age_name

          public Traversal<Vertex,String> get_g_V_order_byXname_descX_barrier_dedup_age_name()

      Specified by:
        `get_g_V_order_byXname_descX_barrier_dedup_age_name` in class `DedupTest`

    - #### get_g_V_both_hasXlabel_softwareX_dedup_byXlangX_name

          public Traversal<Vertex,String> get_g_V_both_hasXlabel_softwareX_dedup_byXlangX_name()

      Specified by:
        `get_g_V_both_hasXlabel_softwareX_dedup_byXlangX_name` in class `DedupTest`

    - #### get_g_V_both_name_order_byXa_bX_dedup_value

          public Traversal<Vertex,String> get_g_V_both_name_order_byXa_bX_dedup_value()

      Specified by:
        `get_g_V_both_name_order_byXa_bX_dedup_value` in class `DedupTest`

    - #### get_g_V_both_both_name_dedup

          public Traversal<Vertex,String> get_g_V_both_both_name_dedup()

      Specified by:
        `get_g_V_both_both_name_dedup` in class `DedupTest`

    - #### get_g_V_both_both_dedup

          public Traversal<Vertex,Vertex> get_g_V_both_both_dedup()

      Specified by:
        `get_g_V_both_both_dedup` in class `DedupTest`

    - #### get_g_V_both_both_dedup_byXlabelX

          public Traversal<Vertex,Vertex> get_g_V_both_both_dedup_byXlabelX()

      Specified by:
        `get_g_V_both_both_dedup_byXlabelX` in class `DedupTest`

    - #### get_g_V_group_byXlabelX_byXbothE_weight_dedup_foldX

          public Traversal<Vertex,Map<String,List<Double>>> get_g_V_group_byXlabelX_byXbothE_weight_dedup_foldX()

      Specified by:
        `get_g_V_group_byXlabelX_byXbothE_weight_dedup_foldX` in class `DedupTest`

    - #### get_g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX

          public Traversal<Vertex,Map<String,Vertex>> get_g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX()

      Specified by:
        `get_g_V_asXaX_both_asXbX_dedupXa_bX_byXlabelX_selectXa_bX` in class `DedupTest`

    - #### get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path

          public Traversal<Vertex,Path> get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path()

      Specified by:
        `get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_dedupXa_bX_path` in class `DedupTest`

    - #### get_g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup

          public Traversal<Vertex,String> get_g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup()

      Specified by:
        `get_g_V_outE_asXeX_inV_asXvX_selectXeX_order_byXweight_ascX_selectXvX_valuesXnameX_dedup` in class `DedupTest`

    - #### get_g_V_both_both_dedup_byXoutE_countX_name

          public Traversal<Vertex,String> get_g_V_both_both_dedup_byXoutE_countX_name()

      Specified by:
        `get_g_V_both_both_dedup_byXoutE_countX_name` in class `DedupTest`

    - #### get_g_V_groupCount_selectXvaluesX_unfold_dedup

          public Traversal<Vertex,Long> get_g_V_groupCount_selectXvaluesX_unfold_dedup()

      Specified by:
        `get_g_V_groupCount_selectXvaluesX_unfold_dedup` in class `DedupTest`

    - #### get_g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup

          public Traversal<Vertex,Collection<String>> get_g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup()

      Specified by:
        `get_g_V_asXaX_repeatXbothX_timesX3X_emit_name_asXbX_group_byXselectXaXX_byXselectXbX_dedup_order_foldX_selectXvaluesX_unfold_dedup` in class `DedupTest`

    - #### get_g_V_repeatXdedupX_timesX2X_count

          public Traversal<Vertex,Long> get_g_V_repeatXdedupX_timesX2X_count()

      Specified by:
        `get_g_V_repeatXdedupX_timesX2X_count` in class `DedupTest`

    - #### get_g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX

          public Traversal<Vertex,String> get_g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX()

      Specified by:
        `get_g_V_both_group_by_byXout_dedup_foldX_unfold_selectXvaluesX_unfold_out_order_byXnameX_limitX1X_valuesXnameX` in class `DedupTest`

    - #### get_g_V_bothE_properties_dedup_count

          public Traversal<Vertex,Long> get_g_V_bothE_properties_dedup_count()

      Specified by:
        `get_g_V_bothE_properties_dedup_count` in class `DedupTest`

    - #### get_g_V_both_properties_dedup_count

          public Traversal<Vertex,Long> get_g_V_both_properties_dedup_count()

      Specified by:
        `get_g_V_both_properties_dedup_count` in class `DedupTest`

    - #### get_g_V_both_properties_properties_dedup_count

          public Traversal<Vertex,Long> get_g_V_both_properties_properties_dedup_count()

      Specified by:
        `get_g_V_both_properties_properties_dedup_count` in class `DedupTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.